classification
Title: typing.py upgrades
Type: Stage: patch review
Components: Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Mariatta, gvanrossum, levkivskyi, lukasz.langa, python-dev
Priority: normal Keywords: patch

Created on 2016-10-29 15:46 by gvanrossum, last changed 2017-09-14 20:52 by lukasz.langa.

Pull Requests
URL Status Linked Edit
PR 265 merged levkivskyi, 2017-02-23 23:34
PR 268 merged Mariatta, 2017-02-24 03:11
PR 269 merged Mariatta, 2017-02-24 03:15
PR 270 merged levkivskyi, 2017-02-24 08:54
PR 1366 merged levkivskyi, 2017-04-30 20:17
PR 1416 merged Mariatta, 2017-05-03 04:26
PR 1417 merged Mariatta, 2017-05-03 04:26
PR 2076 merged levkivskyi, 2017-06-10 10:11
PR 2087 merged Mariatta, 2017-06-10 21:03
PR 2088 merged Mariatta, 2017-06-10 21:04
PR 3550 merged levkivskyi, 2017-09-13 19:35
PR 3558 merged python-dev, 2017-09-13 23:25
PR 3582 merged lukasz.langa, 2017-09-14 18:06
PR 3583 merged python-dev, 2017-09-14 18:33
Messages (31)
msg279680 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-10-29 15:46
Over at https://github.com/python/typeshed we have a number of big changes in store. I'm eager to get these into 3.6, so I'm merging them in now, in time for 3.6b3. (Recall that PEP 484 and typing.py remain provisional until 3.7 rolls around.)
msg279682 - (view) Author: Roundup Robot (python-dev) Date: 2016-10-29 15:55
New changeset a47b07d0aba0 by Guido van Rossum in branch '3.5':
Issue #28556: updates to typing.py
https://hg.python.org/cpython/rev/a47b07d0aba0

New changeset d2b5c3bfa2b5 by Guido van Rossum in branch '3.6':
Issue #28556: updates to typing.py (3.5->3.6)
https://hg.python.org/cpython/rev/d2b5c3bfa2b5

New changeset 2c75b13ccf82 by Guido van Rossum in branch 'default':
Issue #28556: updates to typing.py (3.6->3.7)
https://hg.python.org/cpython/rev/2c75b13ccf82
msg279696 - (view) Author: Roundup Robot (python-dev) Date: 2016-10-29 19:45
New changeset 94010653379c by Guido van Rossum in branch '3.5':
Issue #28556: updates to typing.py (fix copy, deepcopy, pickle)
https://hg.python.org/cpython/rev/94010653379c

New changeset 465b345559ea by Guido van Rossum in branch '3.6':
Issue #28556: updates to typing.py (fix copy, deepcopy, pickle) (3.5->3.6)
https://hg.python.org/cpython/rev/465b345559ea

New changeset f23f435494f1 by Guido van Rossum in branch 'default':
Issue #28556: updates to typing.py (fix copy, deepcopy, pickle) (3.6->3.7)
https://hg.python.org/cpython/rev/f23f435494f1
msg279700 - (view) Author: Roundup Robot (python-dev) Date: 2016-10-29 23:06
New changeset 0201a87d773d by Guido van Rossum in branch '3.5':
Issue #28556: updates to typing.py (add Coroutine, prohibit Generic[T]())
https://hg.python.org/cpython/rev/0201a87d773d

New changeset 2c2fec17247d by Guido van Rossum in branch '3.6':
Issue #28556: updates to typing.py (add Coroutine, prohibit Generic[T]()) (3.5->3.6)
https://hg.python.org/cpython/rev/2c2fec17247d

New changeset fe842efbe1ed by Guido van Rossum in branch 'default':
Issue #28556: updates to typing.py (add Coroutine, prohibit Generic[T]()) (3.6->3.7)
https://hg.python.org/cpython/rev/fe842efbe1ed
msg280453 - (view) Author: Roundup Robot (python-dev) Date: 2016-11-09 21:13
New changeset 9c0df5f51baa by Guido van Rossum in branch '3.5':
Issue #28556: More typing.py updates from upstream.
https://hg.python.org/cpython/rev/9c0df5f51baa

New changeset 9e65bc305a24 by Guido van Rossum in branch '3.6':
Issue #28556: More typing.py updates from upstream. (3.5->3.6)
https://hg.python.org/cpython/rev/9e65bc305a24

New changeset 00e386ac7b95 by Guido van Rossum in branch 'default':
Issue #28556: More typing.py updates from upstream. (3.6->3.7)
https://hg.python.org/cpython/rev/00e386ac7b95
msg280870 - (view) Author: Roundup Robot (python-dev) Date: 2016-11-15 17:49
New changeset da2ac103d326 by Guido van Rossum in branch '3.5':
Issue #28556: Allow keyword syntax for NamedTuple (Ivan Levkivskyi) (upstream #321)
https://hg.python.org/cpython/rev/da2ac103d326

New changeset 38ec88a4e282 by Guido van Rossum in branch '3.6':
Issue #28556: Allow keyword syntax for NamedTuple (Ivan Levkivskyi) (upstream #321) (3.5->3.6)
https://hg.python.org/cpython/rev/38ec88a4e282

New changeset a3de2d0f49ea by Guido van Rossum in branch 'default':
Issue #28556: Allow keyword syntax for NamedTuple (Ivan Levkivskyi) (upstream #321) (3.6->3.7)
https://hg.python.org/cpython/rev/a3de2d0f49ea
msg281226 - (view) Author: Roundup Robot (python-dev) Date: 2016-11-19 18:33
New changeset 1e49abb03e0f by Guido van Rossum in branch '3.5':
Issue #28556: two more small upstream changes by Ivan Levkivskyi (#329, #330)
https://hg.python.org/cpython/rev/1e49abb03e0f

New changeset cdddf4ee0e00 by Guido van Rossum in branch '3.6':
Issue #28556: two more small upstream changes by Ivan Levkivskyi (#329, #330) (3.5->3.6)
https://hg.python.org/cpython/rev/cdddf4ee0e00

New changeset 1465baaccd84 by Guido van Rossum in branch 'default':
Issue #28556: two more small upstream changes by Ivan Levkivskyi (#329, #330) (3.6->3.7)
https://hg.python.org/cpython/rev/1465baaccd84
msg281317 - (view) Author: Roundup Robot (python-dev) Date: 2016-11-21 02:02
New changeset 75c7bc2c1ad8 by Guido van Rossum in branch '3.5':
Issue #28556: upstream improvements to docstrings and error messages by Ivan Levkivskyi (#331)
https://hg.python.org/cpython/rev/75c7bc2c1ad8

New changeset 294525aac5eb by Guido van Rossum in branch '3.6':
Issue #28556: upstream improvements to docstrings and error messages by Ivan Levkivskyi (#331) (3.5->3.6)
https://hg.python.org/cpython/rev/294525aac5eb

New changeset 30f154d9abf0 by Guido van Rossum in branch 'default':
Issue #28556: upstream improvements to docstrings and error messages by Ivan Levkivskyi (#331) (3.6->3.7)
https://hg.python.org/cpython/rev/30f154d9abf0
msg285699 - (view) Author: Roundup Robot (python-dev) Date: 2017-01-18 04:46
New changeset 1a9e12a852b2 by Guido van Rossum in branch '3.5':
Issue #28556: merge 5 more typing changes from upstream (#340, #344, #348, #349, #350)
https://hg.python.org/cpython/rev/1a9e12a852b2

New changeset fd889884fe08 by Guido van Rossum in branch '3.6':
Issue #28556: merge 5 more typing changes from upstream (#340, #344, #348, #349, #350) (3.5->3.6)
https://hg.python.org/cpython/rev/fd889884fe08

New changeset 794dad4b849f by Guido van Rossum in branch 'default':
Issue #28556: merge 5 more typing changes from upstream (#340, #344, #348, #349, #350) (3.6->3.7)
https://hg.python.org/cpython/rev/794dad4b849f
msg285739 - (view) Author: Roundup Robot (python-dev) Date: 2017-01-18 16:05
New changeset 59829d7b7838 by Guido van Rossum in branch '3.5':
Issue #28556: allow default values in class form of NamedTuple -- Jelle Zijlstra
https://hg.python.org/cpython/rev/59829d7b7838

New changeset 2159f36ccd6b by Guido van Rossum in branch '3.6':
Issue #28556: allow default values in class form of NamedTuple -- Jelle Zijlstra (3.5->3.6)
https://hg.python.org/cpython/rev/2159f36ccd6b

New changeset f0e1c49233ff by Guido van Rossum in branch 'default':
Issue #28556: allow default values in class form of NamedTuple -- Jelle Zijlstra (3.6->3.7)
https://hg.python.org/cpython/rev/f0e1c49233ff
msg286038 - (view) Author: Roundup Robot (python-dev) Date: 2017-01-23 01:44
New changeset 7bf6b4fe2c3c by Guido van Rossum in branch '3.5':
Issue #28556: various style fixes for typing.py
https://hg.python.org/cpython/rev/7bf6b4fe2c3c
msg286039 - (view) Author: Roundup Robot (python-dev) Date: 2017-01-23 01:48
New changeset f100619e7137 by Guido van Rossum in branch '3.5':
Issue #28556: Allow defining methods in NamedTuple class syntax (#362)
https://hg.python.org/cpython/rev/f100619e7137
msg286040 - (view) Author: Roundup Robot (python-dev) Date: 2017-01-23 01:49
New changeset 41277771755d by Guido van Rossum in branch '3.6':
Issue #28556: various style fixes for typing.py (3.5->3.6)
https://hg.python.org/cpython/rev/41277771755d

New changeset a7e69479ee22 by Guido van Rossum in branch 'default':
Issue #28556: various style fixes for typing.py (3.6->3.7)
https://hg.python.org/cpython/rev/a7e69479ee22

New changeset ba272f947c40 by Guido van Rossum in branch '3.6':
Issue #28556: Allow defining methods in NamedTuple class syntax (#362) (3.5->3.6)
https://hg.python.org/cpython/rev/ba272f947c40

New changeset 69c5b800df86 by Guido van Rossum in branch 'default':
Issue #28556: Allow defining methods in NamedTuple class syntax (#362) (3.6->3.7)
https://hg.python.org/cpython/rev/69c5b800df86
msg286137 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2017-01-24 05:13
ERROR: test_annotation_usage_with_methods (test.test_typing.NamedTupleTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/proj/python/cpython/Lib/test/test_typing.py", line 2058, in test_annotation_usage_with_methods
    self.assertEquals(XMeth(1).double(), 2)
  File "/home/proj/python/cpython/Lib/unittest/case.py", line 1311, in deprecated_func
    DeprecationWarning, 2)
DeprecationWarning: Please use assertEqual instead.
msg286149 - (view) Author: Ivan Levkivskyi (levkivskyi) * Date: 2017-01-24 08:00
Thank you Martin!
Fixed this upstream https://github.com/python/typing/pull/365
msg290406 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-03-24 23:47
New changeset bc33cd4e7a36ed4c309807ca9a911ef955582710 by Mariatta in branch '3.5':
[3.5] bpo-28556: Update to typing: treat subscripted generics as proxies (GH-265) (GH-269)
https://github.com/python/cpython/commit/bc33cd4e7a36ed4c309807ca9a911ef955582710
msg290407 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-03-24 23:47
New changeset bea9d2f6488f01794098d9fd4710b98df1bd9472 by Mariatta in branch '3.6':
[3.6] bpo-28556: Update to typing: treat subscripted generics as proxies (GH-265) (GH-268)
https://github.com/python/cpython/commit/bea9d2f6488f01794098d9fd4710b98df1bd9472
msg290412 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-03-24 23:48
New changeset 365cb5bb9069273e6970c9d5d17ee2fe5003e7ac by Mariatta (Ivan Levkivskyi) in branch 'master':
bpo-28556: Fix regression that sneaked into recent typing updates (GH-270)
https://github.com/python/cpython/commit/365cb5bb9069273e6970c9d5d17ee2fe5003e7ac
msg290433 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-03-25 00:11
New changeset 0230e64d2c976ab755c145e97bf86032e0fe3a53 by Mariatta in branch '3.6':
bpo-28556: Various updates to typing (#28) (#77)
https://github.com/python/cpython/commit/0230e64d2c976ab755c145e97bf86032e0fe3a53
msg290434 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-03-25 00:16
New changeset 9c5684e0d380cf5bc109888603756084588ce617 by Mariatta in branch '3.5':
bpo-28556: Various updates to typing (#28) (#78)
https://github.com/python/cpython/commit/9c5684e0d380cf5bc109888603756084588ce617
msg290435 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-03-25 00:16
New changeset b692dc8475a032740576129d0990ddc3edccab2b by Mariatta (Ivan Levkivskyi) in branch 'master':
bpo-28556: Various updates to typing (#28)
https://github.com/python/cpython/commit/b692dc8475a032740576129d0990ddc3edccab2b
msg292789 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-05-02 17:14
New changeset f06e0218ef6007667f5d61184b85a81a0466d3ae by Mariatta (Ivan Levkivskyi) in branch 'master':
bpo-28556: Routine updates to typing (#1366)
https://github.com/python/cpython/commit/f06e0218ef6007667f5d61184b85a81a0466d3ae
msg292920 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-05-03 16:37
New changeset 4b15e45895ca56ac5f7837cacb8cd3ccc26d1f66 by Mariatta in branch '3.5':
[3.5] bpo-28556: Routine updates to typing (GH-1366) (#1417)
https://github.com/python/cpython/commit/4b15e45895ca56ac5f7837cacb8cd3ccc26d1f66
msg292921 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-05-03 16:38
New changeset e612c28513b406779d187e5f816445c7d40d292b by Mariatta in branch '3.6':
[3.6] bpo-28556: Routine updates to typing (GH-1366) (#1416)
https://github.com/python/cpython/commit/e612c28513b406779d187e5f816445c7d40d292b
msg295662 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2017-06-10 19:57
New changeset 29fda8db16e0edab92841277fa223f844f5a92cc by Guido van Rossum (Ivan Levkivskyi) in branch 'master':
bpo-28556: Updates to typing module (#2076)
https://github.com/python/cpython/commit/29fda8db16e0edab92841277fa223f844f5a92cc
msg295672 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-06-10 21:41
New changeset 8d15b19be667e30f8d36aefb680859bdf23866cf by Mariatta in branch '3.6':
bpo-28556: Updates to typing module (GH-2076) (GH-2087)
https://github.com/python/cpython/commit/8d15b19be667e30f8d36aefb680859bdf23866cf
msg295673 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-06-10 21:41
New changeset ea8b34868c3a765ac9a5eed7321af8f4548a9654 by Mariatta in branch '3.5':
bpo-28556: Updates to typing module (GH-2076) (GH-2088)
https://github.com/python/cpython/commit/ea8b34868c3a765ac9a5eed7321af8f4548a9654
msg302131 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-09-13 23:25
New changeset 65bc62052fe5d550cb14c0033e8a2550618fb7b9 by Łukasz Langa (Ivan Levkivskyi) in branch 'master':
bpo-28556: Minor updates to typing module (#3550)
https://github.com/python/cpython/commit/65bc62052fe5d550cb14c0033e8a2550618fb7b9
msg302134 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-09-14 00:10
New changeset 9e3cd78ec18b2d2078d30b04307916acd68be37a by Łukasz Langa (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-28556: Minor updates to typing module (GH-3550) (#3558)
https://github.com/python/cpython/commit/9e3cd78ec18b2d2078d30b04307916acd68be37a
msg302196 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-09-14 18:33
New changeset f350a268a7071ce7d7a5bb86a9b1229782d4963b by Łukasz Langa in branch 'master':
bpo-28556: typing.get_type_hints: better globalns for classes and modules (#3582)
https://github.com/python/cpython/commit/f350a268a7071ce7d7a5bb86a9b1229782d4963b
msg302209 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-09-14 20:52
New changeset 1658ec07577ef9696cea76fcf7fac2da18403ec5 by Łukasz Langa (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-28556: typing.get_type_hints: better globalns for classes and modules (GH-3582) (#3583)
https://github.com/python/cpython/commit/1658ec07577ef9696cea76fcf7fac2da18403ec5
History
Date User Action Args
2017-09-14 20:52:07lukasz.langasetmessages: + msg302209
2017-09-14 18:33:11python-devsetpull_requests: + pull_request3574
2017-09-14 18:33:02lukasz.langasetmessages: + msg302196
2017-09-14 18:06:14lukasz.langasetpull_requests: + pull_request3573
2017-09-14 00:10:56lukasz.langasetmessages: + msg302134
2017-09-13 23:25:23python-devsetpull_requests: + pull_request3550
2017-09-13 23:25:17lukasz.langasetnosy: + lukasz.langa
messages: + msg302131
2017-09-13 19:35:13levkivskyisetkeywords: + patch
stage: patch review
pull_requests: + pull_request3543
2017-06-10 21:41:40Mariattasetmessages: + msg295673
2017-06-10 21:41:02Mariattasetmessages: + msg295672
2017-06-10 21:04:45Mariattasetpull_requests: + pull_request2153
2017-06-10 21:03:09Mariattasetpull_requests: + pull_request2152
2017-06-10 19:57:58gvanrossumsetmessages: + msg295662
2017-06-10 10:11:11levkivskyisetpull_requests: + pull_request2140
2017-05-03 16:38:03Mariattasetmessages: + msg292921
2017-05-03 16:37:52Mariattasetmessages: + msg292920
2017-05-03 04:28:43Mariattasetversions: + Python 3.5, Python 3.6, Python 3.7
2017-05-03 04:26:39Mariattasetpull_requests: + pull_request1523
2017-05-03 04:26:28Mariattasetpull_requests: + pull_request1522
2017-05-02 17:14:09Mariattasetmessages: + msg292789
2017-04-30 20:17:12levkivskyisetpull_requests: + pull_request1475
2017-04-01 06:26:54martin.pantersetnosy: - martin.panter
2017-04-01 05:48:51serhiy.storchakasetpull_requests: - pull_request1037
2017-03-31 16:36:30dstufftsetpull_requests: + pull_request1037
2017-03-25 00:16:27Mariattasetmessages: + msg290435
2017-03-25 00:16:06Mariattasetmessages: + msg290434
2017-03-25 00:11:19Mariattasetmessages: + msg290433
2017-03-24 23:48:32Mariattasetmessages: + msg290412
2017-03-24 23:47:29Mariattasetmessages: + msg290407
2017-03-24 23:47:21Mariattasetnosy: + Mariatta
messages: + msg290406
2017-02-24 08:54:29levkivskyisetpull_requests: + pull_request243
2017-02-24 03:15:00Mariattasetpull_requests: + pull_request242
2017-02-24 03:11:01Mariattasetpull_requests: + pull_request241
2017-02-23 23:34:37levkivskyisetpull_requests: + pull_request237
2017-01-24 08:00:29levkivskyisetmessages: + msg286149
2017-01-24 05:13:07martin.pantersetnosy: + martin.panter
messages: + msg286137
2017-01-23 01:49:05python-devsetmessages: + msg286040
2017-01-23 01:48:47python-devsetmessages: + msg286039
2017-01-23 01:44:37python-devsetmessages: + msg286038
2017-01-18 16:05:14python-devsetmessages: + msg285739
2017-01-18 04:46:59python-devsetmessages: + msg285699
2016-11-21 02:02:24python-devsetmessages: + msg281317
2016-11-19 18:33:31python-devsetmessages: + msg281226
2016-11-15 17:49:39python-devsetmessages: + msg280870
2016-11-09 21:13:56python-devsetmessages: + msg280453
2016-10-29 23:06:12python-devsetmessages: + msg279700
2016-10-29 19:45:09python-devsetmessages: + msg279696
2016-10-29 18:54:56levkivskyisetnosy: + levkivskyi
2016-10-29 15:55:16python-devsetnosy: + python-dev
messages: + msg279682
2016-10-29 15:46:49gvanrossumcreate